Error
A valid request URL is required to generate request examples{
"id": "<string>",
"object": "price",
"product_id": "<string>",
"merchant_id": "<string>",
"unit_amount": 123,
"currency": "<string>",
"type": "one_time",
"active": true,
"nickname": "<string>",
"metadata": {},
"livemode": true,
"created_at": 123,
"updated_at": 123,
"recurring": {
"interval": "day",
"interval_count": 123,
"usage_type": "licensed"
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "invalid request body"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "PRICE_NOT_FOUND",
"message": "price not found"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Products and prices
Retrieve a price
GET
/
prices
/
{id}
Error
A valid request URL is required to generate request examples{
"id": "<string>",
"object": "price",
"product_id": "<string>",
"merchant_id": "<string>",
"unit_amount": 123,
"currency": "<string>",
"type": "one_time",
"active": true,
"nickname": "<string>",
"metadata": {},
"livemode": true,
"created_at": 123,
"updated_at": 123,
"recurring": {
"interval": "day",
"interval_count": 123,
"usage_type": "licensed"
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "invalid request body"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "PRICE_NOT_FOUND",
"message": "price not found"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
A merchant secret key (sk_…) sent as Authorization: Bearer <key>.
Headers
Merchant ID when an authorized Platform acts for a connected Merchant. Omit when authenticating directly as that Merchant.
Pattern:
^mer_[0-9A-Za-z]{14}$Path Parameters
The price id (price_…).
Response
The price.
Price id (price_…).
Available options:
price Parent product (prod_…).
ID of the account that owns the price (mer_…).
Billing amount in minor units.
Three-letter ISO currency code.
Price type.
Available options:
one_time, recurring false when the price is deactivated.
Display label for this price variant.
Custom key-value pairs for your use.
Show child attributes
Show child attributes
true for live mode, false for test mode.
Unix epoch seconds.
Unix epoch seconds.
Cadence for recurring prices; null for one-time prices.
Show child attributes
Show child attributes

